15

I'm new to ubuntu, I entered the following commands sudo apt-get install python-pyqt and sudo apt-get install qt-designer.
Both the commands executed successfuly but I'm not able to figure out how to launch the qt-designer program.

1

4 Answers 4

18

Considering the packages names did dramatically change, the procedure with Ubuntu 20.04 is now:

sudo apt-get install qttools5-dev-tools
sudo apt-get install qttools5-dev

Then, Qt Designer is installed as designer, and is also in the start menu.

Credits | Manual

1
  • Thank you! It worked for me!
    – smmehrab
    Commented Jun 2, 2021 at 7:14
11

with sudo apt-get install python-qt4 qt4-designer should work.

You can find it if you search it with apt-cache search qt | grep designer:

libqt4-designer - Qt 4 designer module
libqt4-designer-dbg - Qt 4 designer library debugging symbols
qt4-designer - graphical designer for Qt 4 applications
kdesignerplugin - Integration of KF5 widgets in Qt Designer/Creator
kdesignerplugin-data - Integration of KF5 widgets in Qt Designer/Creator
kgendesignerplugin - Integration of KF5 widgets in Qt Designer/Creator
libopenrpt-dev - graphical SQL report writer, designer and rendering engine (development)
libopenrpt1v5 - graphical SQL report writer, designer and rendering library
libqscintilla2-designer - Qt4 Designer plugin for QScintilla 2
libqscintilla2-designer-dbg - Qt4 Designer plugin for QScintilla 2 (debug)
libqt5designer5 - Qt 5 designer module
libqt5designercomponents5 - Qt 5 Designer components module
libqt5scintilla2-designer - Qt5 Designer plugin for QScintilla 2
libqt5scintilla2-designer-dbg - Qt5 Designer plugin for QScintilla 2 (debug)
libqxt-designer0 - LibQxt extensions to Qt Designer
openrpt - graphical SQL report writer, designer and rendering engine

And search more info about the package with apt-cache show qt4-designer.

9

type on your Terminal

designer-qt4

or if /usr/bin isn't included in your PATH:

/usr/bin/designer-qt4
0

To search for available packages run:

apt-cache search qt*designer

Which will output:

libqt4-designer - Qt 4 designer module
libqt5designer5 - Qt 5 designer module
python-pyqt5 - Python 2 bindings for Qt5
python3-pyqt5 - Python 3 bindings for Qt5

Then install the packages you need:

sudo apt install libqt5designer5 python3-pyqt5

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .